
.msgWrap{
  display: flex;
  /* width: 100%; */
  padding: 5px;
}

.msgTxt{
  position: relative;
  padding: 10px;
  font-weight: 500;
  border-radius: 20px;
  max-width: 80%;
  z-index: 3;
}
.msgTxt::before{
  content: " ";
  position: absolute;
  display: block;
  width: 20px;
  height: 20px;
  z-index: -1;
}

.msgTxt.sent{
  background-color: #666;
  margin-left: auto;
  margin-right: 10px;
  text-align: right;
}
.msgTxt.sent::before{
  right: 0;
  bottom: 0;
  background-color: #666;
}


.msgTxt.recieved{
  background-color: darkgreen;
  margin-right: auto;
  margin-left: 10px;
  text-align: left;
}
.msgTxt.recieved::before{
  left: 0;
  top: 0;
  background-color: darkgreen;
}

.time{
  opacity: 0.8;
}